<?php

/**
 * i-Educar - Sistema de gesto escolar
 *
 * Copyright (C) 2006  Prefeitura Municipal de Itaja
 *                     <ctima@itajai.sc.gov.br>
 *
 * Este programa  software livre; voc pode redistribu-lo e/ou modific-lo
 * sob os termos da Licena Pblica Geral GNU conforme publicada pela Free
 * Software Foundation; tanto a verso 2 da Licena, como (a seu critrio)
 * qualquer verso posterior.
 *
 * Este programa  distribudo na expectativa de que seja til, porm, SEM
 * NENHUMA GARANTIA; nem mesmo a garantia implcita de COMERCIABILIDADE OU
 * ADEQUAO A UMA FINALIDADE ESPECFICA. Consulte a Licena Pblica Geral
 * do GNU para mais detalhes.
 *
 * Voc deve ter recebido uma cpia da Licena Pblica Geral do GNU junto
 * com este programa; se no, escreva para a Free Software Foundation, Inc., no
 * endereo 59 Temple Street, Suite 330, Boston, MA 02111-1307 USA.
 *
 * @author      Eriksen Costa Paixo <eriksen.paixao_bs@cobra.com.br>
 * @category    i-Educar
 * @license     @@license@@
 * @package     Avaliacao
 * @subpackage  Modules
 * @since       Arquivo disponvel desde a verso 1.1.0
 * @version     $Id$
 */

require_once 'CoreExt/Entity.php';
require_once 'Avaliacao/Model/Etapa.php';

/**
 * Avaliacao_Model_NotaComponente class.
 *
 * @author      Eriksen Costa Paixo <eriksen.paixao_bs@cobra.com.br>
 * @category    i-Educar
 * @license     @@license@@
 * @package     Avaliacao
 * @subpackage  Modules
 * @since       Classe disponvel desde a verso 1.1.0
 * @version     @@package_version@@
 */
class Avaliacao_Model_NotaComponente extends Avaliacao_Model_Etapa
{
  protected $_data = array(
    'notaAluno'            => NULL,
    'componenteCurricular' => NULL,
    'nota'                 => NULL,
    'notaArredondada'      => NULL,
  );

  protected $_dataTypes = array(
    'nota' => 'numeric'
  );

  protected $_references = array(
    'notaAluno' => array(
      'value' => NULL,
      'class' => 'Avaliacao_Model_NotaAluno',
      'file'  => 'Avaliacao/Model/NotaAluno.php'
    ),
    'componenteCurricular' => array(
      'value' => NULL,
      'class' => 'ComponenteCurricular_Model_Componente',
      'file'  => 'ComponenteCurricular/Model/Componente.php'
    )
  );

  /**
   * @see CoreExt_Entity_Validatable#getDefaultValidatorCollection()
   */
  public function getDefaultValidatorCollection()
  {
    // Aceita etapas de 0 a 10 + a string Rc
    $etapas = range(0, 10, 1) + array('Rc');

    return array(
      'nota' => new CoreExt_Validate_Numeric(array('min' => 0, 'max' => 10)),
      'notaArredondada' => new CoreExt_Validate_String(array('max' => 5)),
    );
  }
}