<?php

/**
 * i-Educar - Sistema de gesto escolar
 *
 * Copyright (C) 2006  Prefeitura Municipal de Itaja
 *                     <ctima@itajai.sc.gov.br>
 *
 * Este programa  software livre; voc pode redistribu-lo e/ou modific-lo
 * sob os termos da Licena Pblica Geral GNU conforme publicada pela Free
 * Software Foundation; tanto a verso 2 da Licena, como (a seu critrio)
 * qualquer verso posterior.
 *
 * Este programa  distribudo na expectativa de que seja til, porm, SEM
 * NENHUMA GARANTIA; nem mesmo a garantia implcita de COMERCIABILIDADE OU
 * ADEQUAO A UMA FINALIDADE ESPECFICA. Consulte a Licena Pblica Geral
 * do GNU para mais detalhes.
 *
 * Voc deve ter recebido uma cpia da Licena Pblica Geral do GNU junto
 * com este programa; se no, escreva para a Free Software Foundation, Inc., no
 * endereo 59 Temple Street, Suite 330, Boston, MA 02111-1307 USA.
 *
 * @author      Eriksen Costa Paixo <eriksen.paixao_bs@cobra.com.br>
 * @category    i-Educar
 * @license     @@license@@
 * @package     Calendario
 * @subpackage  Modules
 * @since       Arquivo disponvel desde a verso 1.2.0
 * @version     $Id$
 */

require_once 'CoreExt/Entity.php';

/**
 * Calendario_Model_Turma class.
 *
 * @author      Eriksen Costa Paixo <eriksen.paixao_bs@cobra.com.br>
 * @category    i-Educar
 * @license     @@license@@
 * @package     Calendario
 * @subpackage  Modules
 * @since       Classe disponvel desde a verso 1.2.0
 * @version     @@package_version@@
 */
class Calendario_Model_Turma extends CoreExt_Entity
{
  protected $_data = array(
    'calendarioAnoLetivo' => NULL,
    'ano'                 => NULL,
    'mes'                 => NULL,
    'dia'                 => NULL,
    'turma'               => NULL
  );

  public function getDefaultValidatorCollection()
  {
    return array(
      'calendarioAnoLetivo' => new CoreExt_Validate_Numeric(array('min' => 0)),
      'ano'                 => new CoreExt_Validate_Numeric(array('min' => 0)),
      'mes'                 => new CoreExt_Validate_Numeric(array('min' => 0)),
      'dia'                 => new CoreExt_Validate_Numeric(array('min' => 0)),
      'turma'               => new CoreExt_Validate_Numeric(array('min' => 0))
    );
  }

  public function __construct(array $options = array())
  {
    parent::__construct($options);
    unset($this->_data['id']);
  }
}