<?php

/**
 * i-Educar - Sistema de gesto escolar
 *
 * Copyright (C) 2006  Prefeitura Municipal de Itaja
 *                     <ctima@itajai.sc.gov.br>
 *
 * Este programa  software livre; voc pode redistribu-lo e/ou modific-lo
 * sob os termos da Licena Pblica Geral GNU conforme publicada pela Free
 * Software Foundation; tanto a verso 2 da Licena, como (a seu critrio)
 * qualquer verso posterior.
 *
 * Este programa  distribudo na expectativa de que seja til, porm, SEM
 * NENHUMA GARANTIA; nem mesmo a garantia implcita de COMERCIABILIDADE OU
 * ADEQUAO A UMA FINALIDADE ESPECFICA. Consulte a Licena Pblica Geral
 * do GNU para mais detalhes.
 *
 * Voc deve ter recebido uma cpia da Licena Pblica Geral do GNU junto
 * com este programa; se no, escreva para a Free Software Foundation, Inc., no
 * endereo 59 Temple Street, Suite 330, Boston, MA 02111-1307 USA.
 *
 * @author      Eriksen Costa Paixo <eriksen.paixao_bs@cobra.com.br>
 * @category    i-Educar
 * @license     @@license@@
 * @package     Modules
 * @subpackage  UnitTests
 * @since       Arquivo disponvel desde a verso 1.1.0
 * @version     $Id$
 */

/**
 * CoreExt_AllTests class.
 *
 * Arquivo de definio de sute para o pacote CoreExt (nova API).
 *
 * @author      Eriksen Costa Paixo <eriksen.paixao_bs@cobra.com.br>
 * @category    i-Educar
 * @license     @@license@@
 * @package     Modules
 * @subpackage  UnitTests
 * @since       Classe disponvel desde a verso 1.1.0
 * @version     @@package_version@@
 */
class Modules_AllTests extends TestCollector
{
  protected $_name = 'Sute de testes unitrios de Modules';
  protected $_file = __FILE__;

  public static function suite()
  {
    $instance = new self;
    $instance->blacklistDirectories();
    $instance->addDirectory('../modules/*');
    return $instance->addDirectoryTests();
  }

  public function blacklistDirectories()
  {
    $directories = new DirectoryIterator(PROJECT_ROOT . DS . 'modules');
    foreach ($directories as $directory) {
      if (!$directory->isDot() && $directory->isDir()) {
        $path = $directory->getPathname() . DS . '_tests';
        if (is_dir($path)) {
          PHPUnit_Util_Filter::addDirectoryToFilter($path, '.php');
        }
      }
    }
  }
}